## net.i2p.client.streaming
Class Connection.ConEvent

    java.lang.Object
      net.i2p.client.streaming.Connection.ConEvent

All Implemented Interfaces:
  SimpleTimer.TimedEvent

Enclosing class:
  Connection

     class Connection.ConEvent

extends Object
implements SimpleTimer.TimedEvent

fired to reschedule event notification

Constructor Summary
`Connection.ConEvent()`

Method Summary
`void` `timeReached()` the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Connection.ConEvent

    public Connection.ConEvent()

Method Detail

### timeReached

    public void timeReached()

  Description copied from interface: `SimpleTimer.TimedEvent`
  the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

  Specified by:
    `timeReached` in interface `SimpleTimer.TimedEvent`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`